%define api	0.3
%define major	0
%define major_grlnet	0
%define major_grlpls	0
%define libname	%mklibname %{name} %{api} %{major}
%define libname_grlnet	%mklibname grlnet %{api} %{major_grlnet}
%define libname_grlpls %mklibname grlpls %{api} %{major_grlpls}
%define girname %mklibname %name-gir %{api}
%define devname	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		grilo
Version:	0.3.9
Release:	%mkrel 1
Summary:	Content discovery framework
Group:		System/Libraries
License:	LGPLv2+
Url:		https://wiki.gnome.org/Grilo
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.33.4
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(oauth)
BuildRequires:	vala-devel >= 0.7.2
BuildRequires:	vala-tools >= 0.7.2
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.0
BuildRequires:  lib64totem-plparser-devel

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements.

%package -n %{libname}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{devname}
Summary:	Libraries/include files for Grilo framework
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.

This package contains the core library and elements, as well as
general and API documentation.

%prep
%setup -q

%build
%meson -Denable-gtk-doc=true
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_libdir}/grilo-%{api} %{buildroot}%{_datadir}/grilo-%{api}/plugins

# Remove files that will not be packaged
rm -f %{buildroot}%{_bindir}/grilo-simple-playlist

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md TODO
%doc COPYING
%{_bindir}/grl-inspect-%{api}
%{_bindir}/grl-launch-%{api}
%{_bindir}/grilo-test-ui-%{api}
%{_libdir}/grilo-%{api}
%{_datadir}/grilo-%{api}/plugins
%{_mandir}/man1/grl-inspect*.1.*
%{_mandir}/man1/grl-launch*.*
%{_mandir}/man1/grilo-test-ui*.*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*
%{_libdir}/libgrlpls-%{api}.so.%{major_grlpls}
%{_libdir}/libgrlpls-%{api}.so.%{major_grlpls}.*
%{_libdir}/libgrlnet-%{api}.so.%{major_grlnet}
%{_libdir}/libgrlnet-%{api}.so.%{major_grlnet}.*
%{_libdir}/girepository-1.0/*-%{api}.typelib

%files -n %{devname}
%doc AUTHORS NEWS README.md TODO
%doc COPYING
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala*/vapi/*


%changelog
* Sun Jul 21 2019 tex - 0.3.9-1pclos2019
- new version

* Sat Mar 09 2019 tex 0.3.7-1pclos2019
- new
